\setchapterstyle{kao}
\addcontentsline{toc}{chapter}{Série 4}
\chapter*{Série 4}


\marginnote{This problem set was attempted in partnership by Maxime Gateau and Valeriia Romanova}

\setcounter{Exercise}{1}
\begin{exercise}
    \begin{enumerate}
        \item Donner les partitions en trois parties de l'ensemble \[ \{ a, 2, \emptyset, \{ c \} \} \] 
        \item Donner le triangle de Pascal des nombres de Stirling pour $n$ allant de 1 à 5 et vérifier votre réponse à la question précédente. Utiliser la relation 
        de récurrence \[ S(n, k) = S(n-1, k-1) + k \cdot S(n-1, k) \]
        \item Montrer que \[ \forall n \geq 2, \quad S(n, 2) = 2^{n-1} - 1 \]
        \item Montrer que \[ \forall n \geq 2, \quad S(n, n-1) = \binom{n}{2} \]
    \end{enumerate}
\end{exercise}


\begin{enumerate}
    
    \item Let  \( E = \{ a, 2, \emptyset, \{ c \} \} \). We have $|E| = 4$; therefore, by the definition of Stirling numbers of the second kind, 
    there must be $S(4,3) = 6$ partitions of E into 3 non-empty subsets. We get 
    \begin{align*} 
        E_3 = \left\{ \bigsqcup_{i \in \llbracket 1, 6 \rrbracket} E_{3,i} \right\} \text{ where } \\ 
        E_{3,1} = \left\{\{ a \} , \{ 2 \} , \{ \emptyset, \{c\} \}\right\} & \quad E_{3.2} = \left\{\{ a \} , \{ \emptyset \} , \{ 2, \{c\} \}\right\} \\
        E_{3,3} = \left\{\{ a \} , \{ \{c\} \} , \{ 2, \emptyset \}\right\} & \quad E_{3,4} = \left\{\{ 2 \} , \{ \emptyset \} , \{ a, \{c\} \}\right\} \\
        E_{3,5} = \left\{\{ 2 \} , \{ \{c\} \} , \{ a, \emptyset \}\right\} & \quad E_{3,6} = \left\{\{ \emptyset \} , \{ \{c\} \} , \{ a, 2 \}\right\} \\
    \end{align*}
    
    \item \marginnote{Thank you to \href{https://tex.stackexchange.com/questions/142132/pascals-triangle-style}{Stack Exchange} users \textsf{kiss my armpit} 
    and \textsf{Moriambar} for providing the source template for this Pascal triangle,
    the likes of which we would not have had the patience to produce on our own.}
    \begin{tabular}{>{$n=}l<{$\hspace{12pt}}*{13}{c}}
        1 &&&&&&&1&&&&&&\\
        2 &&&&&&1&&1&&&&&\\
        3 &&&&&1&&3&&1&&&&\\
        4 &&&&1&&7&&6&&1&&&\\
        5 &&&1&&15&&25&&10&&1&&\\
        \end{tabular}

    \item Let $E$ be a set such that $|E| = n$. Take the powerset of $E$. We know not only that $|\mathscr{P}(E)| = 2^n$, but also that each subset of the k subsets
    which partition $E$ is an element of $\mathscr{P}(E)$. Therefore, in order to describe $S(n,2)$, it suffices to arbitrarily divide $\mathscr{P}(E)$ into two sets
    of equal cardinality. We end up with \( \frac{\mathscr{P}(E)}{2}  = 2^{n-1} \) ways of partitioning E into two subsets. However, there's a catch: the subsets within
    a partition \emph{must be non-empty}. Whence we remove the emptyset from the possible ways of partitioning E and we are left with the desired $2^{n-1} - 1$.
    
    \item Let $S_{E,k}$ be the set of partitions of E into k non-empty subsets and consider the set $F = \{f_1, \ldots, f_n\}$. \marginnote{We include the following
    example to clarify any confusion about the notation: 
    \begin{align*}
        S_{ \{1,2,3\}, 2} &= \left\{ \{\{1\},\{2,3\}\}, \\
        &\{\{2\},\{1,3\}\}, \\
        &\{\{3\},\{1,2\}\} \right\}. \\
    \end{align*}}
    Then \( S_{F,n} = \left\{ \{ \{f_1\}, \ldots, \{f_n\} \} \right\} \). In general, $S_{E,n}$ is a set of singletons. Now take $S_{E, n-1}$. Intuitively this yields a 
    set containing n-2 singletons and 1 doubleton. Since there are $\binom{n}{2}$ ways to form a doubleton from a set of n elements, and only one way of choosing the
    singletons (they're unordered!), we arrive to the expected equality \( S(n,2) = \binom{n}{2} \).

\end{enumerate}


\begin{exercise}
    \begin{enumerate}
        \item Pour un projet d'études, un professeur veut répartir les 30 élèves de sa classe en 10 groupes. Combien a-t-il de manières de faire. 
        \item Même question si les gorupes sont maintenant numérotés et doivent contenir respectivement $k_1, \ldots, k_10$ élèves.
        \item Même question si les groupes sont numérotés et non-vides mais qu'on n'a pas de restrictions sur le nombre d'élèves dans chaque groupe.
        \item Montrer que
        \begin{align*}
            \forall \quad 0 \leq m \leq n, \quad m! \cdot S(n,m) = \multinom{m}{1}{n}.
        \end{align*}
        \item En déduire que \[ \forall m \leq n, \quad m! \cdot \multinom{m}{1}{n} \]
    \end{enumerate}
\end{exercise}


\begin{enumerate}
    \item This is a textbook usecase for the Stirling numbers: the professor has $S(30,10)$ ways of proceeding.
    
    \item This is a job for the multinomial theorem: the professor has \[ \multinom{10}{1}{30} \text{ ways of grouping his students.}\]

    \item Here we can call upon the stars and bars method. Let each student be represented by a star, and let each bar represent dividers between groups. Since there are
    30 students, we have 30 stars. Likewise, since the professor wants to form 10 (non-empty) groups, we have 9 bars. Sincee can place a bar once between two students, 
    we have $30-1 = 29$ choices for $10-1 = 9$ bars. This yields $\binom{29}{9}$ possibilities for the professor.
    
    \item In the second question of this exercise, our answer includes the very familiar sum of multinomial coefficients--- with one crucial change: each $k_i$ is greater
    than or equal to 1 rather than 0. As a result, we cannot use the neater-looking expression $m^n$. In this answer, we will show that the neater-looking expression we
    seek is actually $m! \cdot S(n,m)$, by counting the same set in two different ways. \\
    
    \marginnote{We initially wrote this in French and are currently lazy enough to compromise the lingual integrity of this document in order to gain a few minutes of 
    sleep. Apologies.}

    On considère une classe à n élèves qu'on veut diviser en m groupes d'au moins un élève. On appele ces groupes $G_1, \ldots, G_m$ où \(|G_1| = k_1, \ldots, |G_m| = k_m.\)
    Alors, on a $S(n,m)$ manières de répartir les n élèves en m groupes ayant au moins un élève, puis $m!$ manières de les ordonner dans $G_1, \ldots. G_m$. Ce qui nous donne
    $m! \cdot S(n,m)$ façons de répartir la classe. \\
    
    Or, on peut interpréter ce dénombrement comme un choix de $\binom{n}{k_1}$ élèves puis de $\binom{n-k_1}{k_2}$ élèves, et ainsi de suite pour chaque configuration de
    \(k_1 + \ldots + k_m \text{ pour } k_1, \ldots, k_m \geq 1\). Par le principe de multiplication, ceci nous donne l'expression suivante:
    \[ \multinom{m}{1}{n}. \] \\

    Ainsi, l'égalité est vérifiée.

    \item Cette relation est trivialement vérifiée par le théorème de la division Euclidienne.
\end{enumerate}


\begin{exercise}
    \begin{enumerate}
        \item Calculer $B(1)$, $B(2)$, $B(3)$ et $B(4)$ en listant les partitions de $\{1\}$, $\{1,2\}$, $\{1,2,3\}$ et $\{1,2,3,4\}$. 
        \item Montrer que \[ \forall n \geq 1, \quad B(n) = \sum_{i=0}^{n-1} \binom{n-1}{i} B(i). \]
        \item Vérifier grâce à la formule de la question 2 votre réponse à la question 1.
    \end{enumerate}
\end{exercise}


\begin{enumerate}
    \item \begin{align*}
        B(1) &= |\left\{ \{1\} \}\right| = 1 \\
        B(2) &= |\left\{ \{1,2\}, \{ \{1\}, \{2\} \} \right\} | = 2 \\
        B(3) &= |\left\{ \{1,2,3\}, \{\{1,2\}, \{3\}\}, \{\{1,3\}, \{2\}\}, \{\{2,3\},\{1\}\}, \{\{1\},\{2\},\{3\}\} \right\} | = 5\\
        B(4) &= 1 + 7 + 6 + 1 = 15 
    \end{align*}

    \marginnote{For $B(4)$, the partition is quite lengthy so we just summed the 4\textsuperscript{th} line
    of our "Pascal triangle" from exercise 1.2}
    
    \item Soit $E$ un ensemble à n éléments. On cherche le nombre total de partitions de $E$. Tout d'abord, tentons de réduire la 
    compléxité du problème : au lieu de considérer $E$ tout entier, ordonnons $E$ et prenons son dernier élément. Maintenant, il
    suffit de trouver le nombre de partitions de $E\setminus \{e_n\}$ puis dénombrer les manières de rajouter $e_n$ à ces
    dernières. \\
    
    \marginnote{We know that this "proof" is quite informal and that a simple recurrence would have done the trick. However,
    we got the feeling that describing the intuition behind such a formal proof would be enough. Whether this feeling is
    justified or not, we'll risk taking an L if it means we can hit the can a bit sooner.}

    Fixons $n$ et faisons une disjonction de cas en fonction de la variable $i$. Trivialement, pour $i = 2$
    on a $\binom{n-1}{2}$ manières de positionner $e_n$ pour compléter les partitions à deux parties. De même, pour $i = 3$
    on a $\binom{n-1}{3}$ manières de partitionner $E\setminus \{e_n\}$ en trois parties de sorte à le combiner à $e_n$ pour
    ainsi partitionner $E$. En raisonnant de cette manière jusqu'à $n-1$, on trouve \[ B(n) = \sum_{i=0}^{n-1} \binom{n-1}{i} B(i). \]
    
    \item (Verification)
\end{enumerate}


\begin{exercise}
    \begin{enumerate}
        \item Calculer le conjugué des partitions suivantes : $(7,5,3,2)$ et $(6,6,5,2,2,1)$
        \item En utilisant la conjugaison, montrer que le nombre de partitions de $n$ ayant leur plus grande part supérieure
        à leur nombre de parts est égal au nombre de partitions de $n$ ayant leur plus grande part inférieure à leur nombre
        de parts. 
        \item Toujours en utilisant la conjugaison, montrer que le nombre de partitions de $n$ en parts distinctes est égales
        au nombre de partitions de $n$ telles que tous les entiers de 1 à la plus grande aprt sont des parts.
    \end{enumerate}
\end{exercise}


\begin{enumerate}
    \item The conjugate of $(7,5,3,2)$ is $(4,4,3,2,2,1,1)$ and the conjugate of $(6,6,5,2,2,1)$ is $(6,5,3,3,3,2)$.
\end{enumerate}

\begin{exercise}
    \begin{enumerate}
        \item Lister les partitions de 7 en 3 parts
        \item Montrer que 
        \item Montrer bijectivement que
        \item Vérifier qu'en utilisant les formules des questions 2 et 3, on obtient bien le nombre de partitions trouvé à
        la question 1.
    \end{enumerate}
\end{exercise}